# Generated by Django 3.1.3 on 2020-11-12 08:49

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Resep',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('foto', models.ImageField(upload_to='images')),
                ('nama', models.CharField(max_length=255)),
                ('deskripsi', models.CharField(max_length=255)),
                ('porsi', models.CharField(max_length=255)),
                ('durasi', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Langkah',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('foto', models.ImageField(upload_to='images')),
                ('nama', models.CharField(max_length=255)),
                ('resep', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='langkah', to='add.resep')),
            ],
        ),
        migrations.CreateModel(
            name='Bahan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama', models.CharField(max_length=255)),
                ('resep', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='bahan', to='add.resep')),
            ],
        ),
    ]
